<?php
/*
 * FRE IPTV Player - Mundoby Script
 * https://mundoby.com/
 *
 * Copyright 2023 Mundoby, Eli Martin
 *
 * FRE IPTV Player is a simple script made in pure php.
 * This Script will allow you to create a responsive website to play Iptv lists.
 *
 * If you need help with this script, please contact our contacts:
 * https://mundoby.com/
 *
 * From the Mundoby team, we wish you the best in your new business idea.
 *
 */

## required core.php
require_once('../script/core.php');

## START SESSIONS
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

if(isset($_SESSION['fre']['session']['id']) && isset($settings['admin']['session'][$_SESSION['fre']['session']['id']]) ){
	$adminSession = $settings['admin']['session'][$_SESSION['fre']['session']['id']];

	if(isset($_GET['out']) && $_GET['out'] == 'logout'){
		unset($_SESSION['fre'] );
		save_session(array());

		$adminSession = [];

		$location = $settings['domain'].'admin/';
		if(isset($config['admin']['slug'])){
			$location .= $config['admin']['slug'];
		}

		header("Location: ".$location);
		goto end;
	}

}


if(!isset($adminSession) ){

	if(isset($config['admin']['slug']) && !empty($config['admin']['slug']) ){
		if(!isset($_GET['slug']) || empty($_GET['slug']) || $config['admin']['slug'] != $_GET['slug'] ){
			header('HTTP/1.0 404 Not Found');
			exit();
		}
	}
}

## login
if(!isset($adminSession) && isset($_POST['password']) ){

	if(isset($config['admin']['password']) && !empty($config['admin']['password']) ){
		if($config['admin']['password'] == $_POST['password']){

			$adminSession = array(
				'id' => make_code(mt_rand(7, 25)),
				'type' => 'admin'
			);

			$array = array(
				$adminSession['id'] => $adminSession,
			);

			save_session($array);
			$_SESSION['fre']['session'] = $adminSession;

			header("Location: ".$settings['domain'].'admin/');
			goto end;

		}else{
			$error = alert('Invalid password.', 'warning');
		}

	}else{
		$error =  alert('the configuration file, failed', 'danger');
	}

	goto end;
}

## post
if(!empty($_POST) && isset($_POST['update']) ){

	$save = save_data($_POST);

	## get settings
	$settings = get_settings();

	if(isset($save['status']) && $save['status']){
		$error = alert('saved successfully');
	}else{
		if(isset($save['error']) ){
			$error = alert($save['error'], 'danger');
		}else{
			$error = alert('failed to save', 'danger');
		}
		
	}

}

end:
require_once('views/index.php');

?>
