<!DOCTYPE html>
<html lang="es">
<head> 
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Admin - <?= $settings['name']; ?> </title>
	<meta name="robots" content="noindex,nofollow">
	<meta name="referrer" content="no-referrer">
	<link rel="icon" href="<?= $settings['favicon']; ?>">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" integrity="sha512-HK5fgLBL+xu6dm/Ii3z4xhlSUyZgTT9tuc/hSrtw6uzJOvgRr2a9jyxxT1ely+B+xFAmJKVSTbpM/CuL7qxO8w==" crossorigin="anonymous" />
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- Bootstrap icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.2/font/bootstrap-icons.css">
    <!-- main css -->
    <link rel="stylesheet" href="<?= $settings['domain']; ?>assets/css/main.css">
</head>
<!-- START BODY -->
<body class="flex-grow">

	<!-- If Logged in -->
	<?php if(isset($adminSession) && !empty($adminSession) ): ?>

    <?php require_once('navbar.php'); ?>
    
	<main class="mt-5 pt-3">
		<div class="container-fluid" style="margin-bottom: 75px;">
			<!-- Container name faucet list -->
			<div class="container-fluid bg-light">
        		<div class="container">
                    <h1 class="p-3 py-5 text-center font-weight-bold text-secondary">
                    	<i class="bi bi-gear"></i>
                    	<span class="fw-bold">Admin Settings</span>
                    </h1>
                </div>
            </div>

            <div class="container mt-4 px-md-5">
            	<?= (isset($error))? $error:'';?>
            </div>

            <form action="" class="form p-0 p-lg-2" method="post">
                <!-- Container settings -->
            	<div class="container-fluid cont-settings px-0 px-sm-3">
            		
            		<!-- Nav tabs -->
            		<ul class="nav nav-tabs justify-content-center" role="tablist">
					  <li class="nav-item">
					    <a class="nav-link active" aria-current="page" href="#basic" role="tab" data-bs-toggle="tab">
						    <i class="bi bi-wrench"></i>
						    <p class="ps-2 m-0">Basic</p>
						</a>
					  </li>
					  <li class="nav-item">
					    <a class="nav-link" href="#design" role="tab" data-bs-toggle="tab">
					    	<i class="bi bi-brush"></i>
					    	<p class="ps-2 m-0">Design</p>
					    </a>
					  </li>
					  <li class="nav-item">
					    <a class="nav-link" href="#player" role="tab" data-bs-toggle="tab">
					    	<i class="bi bi-collection-play"></i>
					    	<p class="ps-2 m-0">Player</p>
					    </a>
					  </li>
					  <li class="nav-item">
					    <a class="nav-link" href="#ads" role="tab" data-bs-toggle="tab">
					    	<i class="bi bi-file-earmark-post"></i>
					    	<p class="ps-2 m-0">ADS</p>
					    </a>
					  </li>
					  <li class="nav-item">
					    <a class="nav-link" href="#integration" role="tab" data-bs-toggle="tab">
					    	<i class="bi bi-code-slash"></i>
					    	<p class="ps-2 m-0">Integration</p>
					    </a>
					  </li>
					</ul>
					
					<!-- Tab panes -->
				    <div class="tab-content">
				    	<div class="tab-pane p-sm-3 fade active show" id="basic">
				    		
				    		<div class="container flex-grow pb-3">
				    			<h2 class="text-center py-3 pt-4">Basic Configuration</h2>

				                <div class="row">
				                	<div class="col-12 col-md-6">
		                                <div class="form-group mt-1 mb-3">
		                                    <label class="control-label" for="name">Name: </label>
		                                    <input class="form-control" type="text" name="name" id="name" value="<?= (isset($settings['name']))? $settings['name'] : ''; ?>" >
		                                </div>
		                                <div class="form-group my-3">
		                                	<label class="control-label" for="description">Description: <small class="text-danger"><i>Optional</i></small></label>
		                                    <textarea rows="3" class="form-control" name="description" id="description"><?= (isset($settings['description']))? $settings['description'] : ''; ?></textarea>
		                                </div>

		                            </div>
		                            <div class="col-12 col-md-6">
		                            	<div class="form-group mt-1 mb-3">
		                                    <label class="control-label" for="favicon">Favicon: <small class="text-danger"><i>Url</i></small></label>
		                                    <input class="form-control" type="text" name="favicon" id="favicon" value="<?= (isset($settings['favicon']))? $settings['favicon'] : ''; ?>" >
		                                </div>
		                                <div class="form-group my-3">
		                                	<label class="control-label" for="logo">Logo: <small class="text-danger"><i>Url</i></small></label>
		                                    <input class="form-control" type="text" name="logo" id="logo" value="<?= (isset($settings['logo']))? $settings['logo'] : ''; ?>" >
		                                </div>
		                                <div class="form-group my-3">
		                                    <label class="control-label" for="icon_channel"><span class="fw-bold">Icon Channel: </span><small class="text-danger"><i>show channel icon (this feature can make the page take longer to load)</i></small></label>
		                                    <select id="icon_channel" class="form-control" name="icon_channel">
												<option value="0" <?= (isset($settings['icon_channel']) && $settings['icon_channel'] != "1")? 'selected' : ''; ?> >No</option>
												<option value="1" <?= (isset($settings['icon_channel']) && $settings['icon_channel'] == "1")? 'selected' : ''; ?> >Yes</option>
											</select>
		                                </div>

		                            </div>
		                            
		                        </div>
			                    
				    		</div>
				    		
				      	</div>
					    <div class="tab-pane p-sm-3 fade" id="design">

					    	<div class="container flex-grow pb-3">
				    			<h2 class="text-center py-3 pt-4">Design Configuration</h2>
				    			
				    			<div class="row">
				    				<div class="col-12">
		                                <div class="form-group mt-1 mb-3">
	                                        <label class="control-label" for="css">Custom CSS: <small class="text-danger"><i>Do not wrap css with &lt;style&gt;&lt;/style&gt;</i></small></label>
	                                        <textarea rows="3" class="form-control" id="css" name="css"><?= (isset($settings['css']))? $settings['css']: ''; ?></textarea>
		                                </div>

		                            </div>
		                            <div class="col-12 col-md-6">

		                            </div>

		                        </div>

				    		</div>
					    	
					    </div>
					    <div class="tab-pane p-sm-3 fade" id="player">

					    	<div class="container flex-grow pb-3">
				    			<h2 class="text-center py-3 pt-4">Player Configuration</h2>
				    			
				    			<div class="row">
				    				<div class="col-12 col-md-6">
		                                <div class="form-group mt-1 mb-3">
		                                    <label class="control-label" for="player_logo">Logo: <small class="text-danger"><i>Url Img</i></small></label>
		                                    <input class="form-control" type="text" name="player_logo" id="player_logo" value="<?= (isset($settings['player']['logo']))? $settings['player']['logo'] : ''; ?>" >
		                                </div>
		                                <div class="form-group my-3">
		                                	<label class="control-label" for="player_logo_position">Logo Position: </label>
		                                    <select id="player_logo_position" class="form-control" name="player_logo_position">
												<option value="0" <?= (isset($settings['player']['logo_position']) && $settings['player']['logo_position'] == "0")? 'selected' : ''; ?> >top-left</option>
												<option value="1" <?= (isset($settings['player']['logo_position']) && $settings['player']['logo_position'] == "1")? 'selected' : ''; ?> >top-right</option>
												<option value="2" <?= (isset($settings['player']['logo_position']) && $settings['player']['logo_position'] == "2")? 'selected' : ''; ?> >bottom-left</option>
												<option value="3" <?= (isset($settings['player']['logo_position']) && $settings['player']['logo_position'] == "3")? 'selected' : ''; ?> >bottom-right</option>
											</select>
		                                </div>
		                                <div class="form-group my-3">
		                                	<label class="control-label" for="player_logo_url">Logo Url: <small class="text-danger"><i>Page by clicking on the logo</i></small></label>
		                                    <input class="form-control" type="text" name="player_logo_url" id="player_logo_url" value="<?= (isset($settings['player']['logo_url']))? $settings['player']['logo_url'] : ''; ?>" >
		                                </div>

		                            </div>
		                            <div class="col-12 col-md-6">
		                            	<div class="form-group mt-1 mb-3">
		                                    <label class="control-label" for="player_poster">Poster: <small class="text-danger"><i>Url Img</i></small></label>
		                                    <input class="form-control" type="text" name="player_poster" id="player_poster" value="<?= (isset($settings['player']['poster']))? $settings['player']['poster'] : ''; ?>" >
		                                </div>
		                                <div class="form-group my-3">

		                                </div>

		                            </div>

		                        </div>

				    		</div>

					    </div>
					    <div class="tab-pane p-sm-3 fade" id="ads">

					    	<div class="container flex-grow pb-3">
				    			<h2 class="text-center py-3 pt-4">Ads Configuration Player</h2>

				    			<div class="row">

				    				<div class="col-12 col-md-6">
		                                <div class="form-group mt-1 mb-3">
		                                    <label class="control-label fw-bold" for="preroll_type">Preroll Type: </label>
		                                    <select id="preroll_type" class="form-control" name="preroll_type">
												<option value="basic_mp4" <?= (isset($settings['ads']['preroll']['type']) && $settings['ads']['preroll']['type'] == "basic_mp4")? 'selected' : ''; ?> >Basic MP4</option>
												<option value="ima_vast" <?= (isset($settings['ads']['preroll']['type']) && $settings['ads']['preroll']['type'] == "ima_vast")? 'selected' : ''; ?> >IMA VAST</option>
											</select>
		                                </div>
		                                <div class="p-2 border" id="preroll_basic_mp4" style="display: <?php if(isset($settings['ads']['preroll']['type']) && $settings['ads']['preroll']['type'] == "basic_mp4"){echo 'block';}else{ echo 'none'; } ?>;" >
		                                
			                                <div class="form-group mt-1 mb-3">
			                                	<label class="control-label" for="pre_b_video">Video: <small class="text-danger"><i>Url Mp4</i></small></label>
			                                    <input class="form-control" type="text" name="pre_b_video" id="pre_b_video" value="<?= (isset($settings['ads']['preroll']['b_video']))? $settings['ads']['preroll']['b_video'] : ''; ?>" placeholder="https://example.com/video.mp4">
			                                </div>
			                                <div class="form-group my-3">
			                                	<label class="control-label" for="pre_b_url">Link: <small class="text-danger"><i>Url</i></small></label>
			                                    <input class="form-control" type="text" name="pre_b_url" id="pre_b_url" value="<?= (isset($settings['ads']['preroll']['b_url']))? $settings['ads']['preroll']['b_url'] : ''; ?>" placeholder="https://example.com/my/page/web/ad">
			                                </div>
			                                <div class="form-group my-3">
			                                	<label class="control-label" for="pre_b_time">Time: <small class="text-danger"><i>Default 5 sec.</i></small></label>
			                                    <input class="form-control" type="number" name="pre_b_time" id="pre_b_time" min="1" value="<?= (isset($settings['ads']['preroll']['b_time']))? $settings['ads']['preroll']['b_time'] : 5; ?>">
			                                </div>
		                                </div>
		                                <div class="p-2 border" id="preroll_ima_vast" style="display:<?php if(isset($settings['ads']['preroll']['type']) && $settings['ads']['preroll']['type'] == "ima_vast"){echo ' block';}else{ echo 'none'; } ?>;" >
		                                	<div class="form-group mt-1 mb-3">
			                                    <label class="control-label" for="pre_i_style">Style: <small class="text-danger"><i>Try the option that gives you the best result.</i></small></label>
			                                    <select id="pre_i_style" class="form-control" name="pre_i_style">
													<option value="linear" <?= (isset($settings['ads']['preroll']['i_style']) && $settings['ads']['preroll']['i_style'] == "linear")? 'selected' : ''; ?> >Linear</option>
													<option value="nonlinear" <?= (isset($settings['ads']['preroll']['i_style']) && $settings['ads']['preroll']['i_style'] == "nonlinear")? 'selected' : ''; ?> >Non Linear</option>
												</select>
			                                </div>
			                                <div class="form-group my-3">
			                                	<label class="control-label" for="pre_i_url">Link: <small class="text-danger"><i>Url</i></small></label>
			                                    <input class="form-control" type="text" name="pre_i_url" id="pre_i_url" value="<?= (isset($settings['ads']['preroll']['i_url']))? $settings['ads']['preroll']['i_url'] : ''; ?>" placeholder="https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=........">
			                                </div>
			                                <div class="form-group my-3">
			                                	<label class="control-label" for="pre_i_maxtime">Max Duration: <small class="text-danger"><i>Default 30 sec.</i></small></label>
			                                    <input class="form-control" type="number" name="pre_i_maxtime" id="pre_i_maxtime" min="0" value="<?= (isset($settings['ads']['preroll']['i_maxtime']))? $settings['ads']['preroll']['i_maxtime'] : 30; ?>">
			                                </div>
		                                </div>

		                            </div>
		                            <div class="col-12 col-md-6">
		                                <div class="form-group mt-1 mb-3">
		                                    
		                                </div>
	                                	<div class="form-group mt-1 mb-3">
		                                    
		                                </div>
		                                <div class="form-group my-3">
		                                	
		                                </div>

		                            </div>

		                        </div>

				    		</div>
					    	
					    </div>
					    <div class="tab-pane p-sm-3 fade" id="integration">

					    	<div class="container flex-grow pb-3">
				    			<h2 class="text-center py-3 pt-4">Integration Settings</h2>
				    			
				    			<div class="row">
				    				<div class="col-12">
		                                <div class="form-group mt-1 mb-3">
		                                    <label class="control-label" for="code_head">Front Head Code: <small class="text-danger"><i>this code will be executed before closing the tag &lt;head&gt;&lt;/head&gt;</i></small></label>
		                                        <textarea rows="3" class="form-control" id="code_head" name="code_head"><?= (isset($settings['code_head']))? $settings['code_head']: ''; ?></textarea>
		                                </div>
		                                <div class="form-group my-3">
		                                	<label class="control-label" for="code_body">Body Tag Code: <small class="text-danger"><i>this code will be executed before closing the tag &lt;body&gt;&lt;/body&gt;</i></small></label>
		                                        <textarea rows="3" class="form-control" id="code_body" name="code_body"><?= (isset($settings['code_body']))? $settings['code_body']: ''; ?></textarea>
		                                </div>

		                            </div>
		                            <div class="col-12 col-md-6">

		                            </div>

		                        </div>

				    		</div>
					    	
					    </div>

				    </div>

            	</div>

            	<div class="col-12 mt-4 pt-3 text-center flex-grow" style="border-top: 1px solid #dee2e6;">
                    <input type="submit" name="update" class="btn btn-primary" value="Update">
                </div>

            </form>
        	

            <?php require_once('footer.php'); ?> 
			
		</div>

	</main>
<script type="text/javascript">
window.onload = (event) => {
	$("#preroll_type").change(function(){
		let pr_ty = $(this).val();

		document.getElementById('preroll_basic_mp4').style.cssText = 'display:none;';
		document.getElementById('preroll_ima_vast').style.cssText = 'display:none;';

		if(pr_ty == 'ima_vast'){
			document.getElementById('preroll_ima_vast').style.cssText = 'display:block;';
		}else{
			document.getElementById('preroll_basic_mp4').style.cssText = 'display:block;';
		}
		
      
    });
};
</script>
	<?php else: ?>

	<?php require_once('login.php'); ?>

	<?php endif; ?>


	<!-- JQUERY -->
	<script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
	<!-- Popper-->
	<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <!-- BOOTSTRAP -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

    <script type="text/javascript">

	// Remember Current Tab
    $('a[data-bs-toggle="tab"]').on('shown.bs.tab', function (e) {
        localStorage.setItem('activeTab', $(e.target).attr('href'));
    });

    // active current tab
    var activeTab = localStorage.getItem('activeTab');
    if(activeTab){
    	$('.nav-tabs a[href="#basic"]').removeClass('active');
    	$('#basic').removeClass('active show');
        $('.nav-tabs a[href="' + activeTab + '"]').addClass('active');
        $(activeTab).addClass('active show');
    }

    </script>
</body>
</html>