<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" href="<?= $favicon; ?>">
  <title><?=$name;?></title>
  <link href="<?=$domain;?>assets/libs/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="<?=$domain;?>assets/libs/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
  <link href="<?=$domain;?>assets/<?=$template;?>/css/player.css" rel="stylesheet">
  <script type="text/javascript" src="<?=$domain;?>assets/libs/npm/clappr@latest/dist/clappr.min.js"></script>
  <script type="text/javascript" src="<?=$domain;?>assets/libs/clappr.chromecast-plugin/latest/clappr-chromecast-plugin.min.js"></script>
  <script type="text/javascript" src="<?=$domain;?>assets/libs/gh/clappr/clappr-level-selector-plugin@latest/dist/level-selector.min.js"></script>
  <script type="text/javascript" src="<?=$domain;?>assets/libs/clappr/js/player-error.js"></script>
  </script>
  <?= resource('resource_player_plugin'); ?>
  <?= resource('css'); ?>
  <?= resource('code_head'); ?>
</head>
<body>

  <main class="container-fluid p-0 m-0">
    <div class="container-fluid p-0 m-0 c_nav" >
      <nav class="navbar bg-body-tertiary">
        <div class="container-fluid">
          <a class="navbar-brand title" href="#"><?=$name;?></a>
          <div>
            <a class="navbar-toggler px-2 py-sm-2 px-sm-3" href="#offcanvasIptv" type="button" data-bs-toggle="offcanvas" aria-controls="offcanvasIptv" role="button">
              <i class="bi bi-search"></i>
            </a>
            <a class="px-2 py-1 px-sm-3" href="<?=$domain;?>">
              <i class="bi bi-plus-circle-fill"></i>
            </a>
          </div>
          <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasIptv" aria-labelledby="offcanvasIptvLabel">
          <div class="offcanvas-header">
            <h5 class="offcanvas-title" id="offcanvasIptvLabel">Channels</h5>
            <button type="button" class="bi bi-x-lg" data-bs-dismiss="offcanvas" aria-label="Close"></button>
          </div>
          <div class="offcanvas-body p-1">
          <div class="input-group mb-3">
            <input type="text" class="form-control" placeholder="Search" id="input_s">

              <a href="javascript:void(0);" class="input-group-text" id="basic-addon1" onclick="search_list(this)"><i class="bi bi-search"></i></a>

          </div>
          <div class="listtv">
            <ul class="list-group list" id="list_s">
              
            </ul>
          </div>
          </div>
        </div>
        </div>
      </nav>
    </div>
      
    <div class="container-fluid bg-black">
      <div class="row">
        <div class="col-12">
            <div id="player"></div>
            <script>
              var playerElement = document.getElementById("player");
              var player = new Clappr.Player({
                    source: "<?=$list[0]['tvsrc'];?>",
                    mimeType: 'application/x-mpegURL',
                    <?= resource('player_poster'); ?>
                    width: '100%',
                    height: '100%',
                    autoPlay: false,
                    <?= resource('player_watermark'); ?>
                    mediacontrol: {seekbar: "#00FF00", buttons: "#FFFFFF"},
                    mute: false,
                    disableErrorScreen: true, // Disable the internal error screen plugin
                    playback: {
                      playInline: true, // Required by skippable ads on iOS (not fullscreen)
                    },
                    plugins: [
                      <?= resource('player_plugin'); ?>
                    ],
                    <?= resource('player_imaplugin'); ?>
                    chromecast: {
                        appId: "9DFB77C0",
                        contentType: "video/m3u8",
                        media: {
                            type: ChromecastPlugin.None,
                            title: "IPTV",
                            subtitle: "IPTV Streaming Service"
                        }
                    },
                    errorPlugin: {
                        onRetry: function(e) {
                        }
                      },
                    <?= resource('player_ads'); ?>
                    disableVideoTagContextMenu: true,
                    playbackNotSupportedMessage: 'Your browser is not supported.'
                });
                player.attachTo(playerElement);
            </script>
        </div>
      </div>
    </div>
  </main>

  <!-- JQUERY -->
  <script src="<?=$domain;?>assets/libs/js/jquery-3.5.1.min.js"></script>

  <script src="<?=$domain;?>assets/libs/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
  <script type="text/javascript">
    
    var tada = <?=json_encode($list);?>;
    let ic_cha = <?=(isset($icon_channel))?$icon_channel:'0';?>;

    tada.forEach((obj) =>{
      let li = document.createElement('a');
      li.setAttribute("href", "javascript:void(0);");
      li.setAttribute("data-bs-toggle", "offcanvas");
      li.setAttribute("aria-controls", "offcanvasIptv");
      li.setAttribute("role", "button");
      li.setAttribute("class", "channel");
      li.setAttribute("data-src", obj.tvsrc);

      let txt = `
      <li class="list-group-item p-1" aria-current="true">
        <div>`;
      if(ic_cha){
        txt += `<div class="div-img">
              <img src="`;
              if(typeof obj.tvlogo != 'undefined' && typeof obj.tvlogo != 'null' && obj.tvlogo.trim() != ""){
                txt += obj.tvlogo;
              }else{
                txt += 'assets/img/tv.png';
              }
        txt += `">
          </div>`;
      }
      txt += `<div id="cantv" class="px-2" style="width:100%">
            <p class="chan fw-bold p-0 m-0">`;
            if(typeof obj.tvname != 'undefined' && typeof obj.tvname != 'null' && obj.tvname.trim() != ""){
                txt += obj.tvname;
              }
      txt += `</p>
            <p class="p-0 m-0">`;
            if(typeof obj.tvgroup != 'undefined' && typeof obj.tvgroup != 'null' && obj.tvgroup.trim() != ""){
                txt += obj.tvgroup;
              }
      txt += `</p>
          </div>
        </div>
      </li>
      `;

      let li2 = document.createElement('li');
      let txt1 = `
        <p class="chan fw-bold p-0 m-0">`;
        if(typeof obj.tvname != 'undefined' && typeof obj.tvname != 'null' && obj.tvname.trim() != ""){
          txt1 += obj.tvname;
        }
        `</p>
      `;

      li.innerHTML = txt;

      document.getElementById("list_s").appendChild(li);

    });

function search_list(ele){
  filter_search($("#input_s").val());
}

function filter_search(value){
  $("#list_s a").filter(function() {

    $(this).toggle($(this.querySelector("#cantv") ).text().toLowerCase().indexOf(value) > -1);
    
  });
}
</script>
<script>
$("#input_s").on("keyup", function(event) {
  var value = $(this).val().toLowerCase();
  <?php if(count($list) > 700):?>
    if (event.keyCode === 13) {
      filter_search(value);
    }
  <?php else: ?>
    filter_search(value);
  <?php endif; ?>
});
  </script>
  <script type="text/javascript">
    $(document).ready(function() {
      $(".channel").click(function(){
          let channel =$(this).data("src");
          player.configure({
              source: channel,
          });
          player.play();
      });
    });
  </script>
  <?= resource('code_body'); ?>
</body>
</html>